#version 300 es

precision mediump float;

uniform sampler2D currentTex;
uniform sampler2D uMainTex;

uniform float uRate;

in vec2 vUV;
in vec2 vUVRev;

out vec4 fragColor;

void main()
{
    // vec4 currTex = texture(currentTex, vUV) * uRate;
    //vec4 currTex = vec4(0);
    vec4 mainTex = texture(uMainTex, vUVRev);
    //fragColor = mix(currTex, mainTex, mainTex.a);
    fragColor = mainTex;
}
